SIMECK32::Enc Class Reference

Encryption transformation. More...

Inheritance diagram for SIMECK32::Enc:

## Public Member Functions

void | ProcessAndXorBlock (const byte *inBlock, const byte *xorBlock, byte *outBlock) const
Public Member Functions inherited from BlockCipherImpl< SIMECK32_Info >
unsigned int | BlockSize () const
| Provides the block size of the algorithm. More...
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name. More...

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

Encryption transformation.

Enc provides implementation for encryption transformation. All key and block sizes are supported.

Since
  Crypto++ 8.0

Definition at line 79 of file simeck.h.

The documentation for this class was generated from the following files:

- simeck.h
- simeck.cpp